aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGravatar Ton Voon <tonvoon@users.sourceforge.net> 2004-11-12 00:51:13 +0000
committerGravatar Ton Voon <tonvoon@users.sourceforge.net> 2004-11-12 00:51:13 +0000
commitc58b5f02acdee26b9c468bd71114bcb4cce58b76 (patch)
treefeb74a55e8a26d30d361009d3ffe261396406b80
parentfbf1e60f477460205c2002bb34b87f9e1e3b0faf (diff)
downloadmonitoring-plugins-c58b5f02acdee26b9c468bd71114bcb4cce58b76.tar.gz
Tool to pull newer coreutil libs into nagiosplug's lib directory
git-svn-id: https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@896 f882894a-f735-0410-b71e-b25c423dba1c
-rwxr-xr-xtools/update_coreutils31
1 files changed, 31 insertions, 0 deletions
diff --git a/tools/update_coreutils b/tools/update_coreutils
new file mode 100755
index 00000000..5e195a0c
--- /dev/null
+++ b/tools/update_coreutils
@@ -0,0 +1,31 @@
+#!/bin/bash
+# Quick script to copy coreutil files into Nagios area
+# Pass $1 as top level of coreutils source dir
+# Expects to be run in the lib directory
+
+function die { echo $1; exit 1; }
+
+function copy_if_newer { [[ $1 -nt $2 ]] && cp $1 $2; }
+
+coreutils_dir=$1
+
+[[ -z $coreutils_dir ]] && die "Please specify coreutils directory"
+
+cwd=`pwd`
+
+[[ ${cwd##*/} != "lib" ]] && die "Must be run in lib directory"
+
+# Get list of files from EXTRA_DIST in Makefile.am
+# Need \\\ because the perl needs \\ but one is escaped
+files="`perl -ne '$a=1 if s/^EXTRA_DIST\s*=\s*|libnagiosplug_a_SOURCES\s*=\s*//; $a=0 if /^\s*$/; if ($a==1) {s/\\\//; print $_}' Makefile.am`"
+
+for i in $files ; do
+ if [[ -e $coreutils_dir/lib/$i ]] ; then
+ copy_if_newer $coreutils_dir/lib/$i ./$i
+ elif [[ -e $coreutils_dir/m4/$i ]] ; then
+ copy_if_newer $coreutils_dir/m4/$i ./$i
+ else
+ echo "Not found: $i"
+ fi
+done
+